petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatCoarsenDestroy

Destroys the coarsen context.

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode  MatCoarsenDestroy(MatCoarsen *agg)

Collective on MatCoarsen

### Input Parameters

agg -the coarsen context

### Keywords

Coarsen, destroy, context

### See Also

MatCoarsenCreate()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c

### Implementations

MatCoarsenDestroy_HEM in src/mat/coarsen/impls/hem/hem.c
MatCoarsenDestroy_MIS in src/mat/coarsen/impls/mis/mis.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages